Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.deployment
Class ResourceAdapterObjectModelFactory

    java.lang.Object
      org.jboss.resource.deployment.ResourceAdapterObjectModelFactory

All Implemented Interfaces:
  org.jboss.xml.binding.ObjectModelFactory

public class ResourceAdapterObjectModelFactory
extends Object
implements org.jboss.xml.binding.ObjectModelFactory

Object factory for resource adapter metadata

Version:
  $Revision: 1.3.2.1 $
Author:
  Adrian Brock

Constructor Summary
`ResourceAdapterObjectModelFactory()`

Method Summary
`Object` | `newChild(AdminObjectMetaData aomd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` admin object child elements
`Object` | `newChild(AuthenticationMechanismMetaData ammd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` authentication mechanism child elements
`Object` | `newChild(ConfigPropertyMetaData cpmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` config property child elements
`Object` | `newChild(ConnectionDefinitionMetaData cdmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` connection definition child elements
`Object` | `newChild(ConnectorMetaData cmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` connector child elements
`Object` | `newChild(LicenseMetaData lmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` license child elements
`Object` | `newChild(MessageListenerMetaData mlmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` message listener child elements
`Object` | `newChild(RequiredConfigPropertyMetaData rcpmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` required config property child elements
`Object` | `newChild(SecurityPermissionMetaData spmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` security permission child elements
`Object` | `newChild(TransactionSupportMetaData tsmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` transaction support child elements
`Object` | `newRoot(Object root, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)`
`void` | `setValue(AdminObjectMetaData aomd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` admin object definition elements
`void` | `setValue(AuthenticationMechanismMetaData ammd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` authentication mechanism elements
`void` | `setValue(ConfigPropertyMetaData cpmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` config property elements
`void` | `setValue(ConnectionDefinitionMetaData cdmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` connection definition elements
`void` | `setValue(ConnectorMetaData cmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` connector elements
`void` | `setValue(DescriptionGroupMetaData dmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` description group elements
`void` | `setValue(DescriptionMetaData dmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` description elements
`void` | `setValue(LicenseMetaData lmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` license elements
`void` | `setValue(MessageListenerMetaData mlmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` message listener elements
`void` | `setValue(RequiredConfigPropertyMetaData rcpmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` required config property elements
`void` | `setValue(SecurityPermissionMetaData spmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` security permission elements
`void` | `setValue(TransactionSupportMetaData tsmd, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` transaction support elements

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceAdapterObjectModelFactory

    public ResourceAdapterObjectModelFactory()

Method Detail

### newChild

    public Object newChild(ConnectorMetaData cmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  connector child elements

  Parameters:
    `cmd` - the connector meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(ConnectorMetaData cmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  connector elements

  Parameters:
    `cmd` - the connector meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### setValue

    public void setValue(DescriptionGroupMetaData dmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  description group elements

  Parameters:
    `dmd` - the description meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### setValue

    public void setValue(DescriptionMetaData dmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  description elements

  Parameters:
    `dmd` - the description meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(ConfigPropertyMetaData cpmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  config property child elements

  Parameters:
    `cpmd` - the config property meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(ConfigPropertyMetaData cpmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  config property elements

  Parameters:
    `cpmd` - the description meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(LicenseMetaData lmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  license child elements

  Parameters:
    `lmd` - the license meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(LicenseMetaData lmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  license elements

  Parameters:
    `lmd` - the license meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(ConnectionDefinitionMetaData cdmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  connection definition child elements

  Parameters:
    `cdmd` - the message listener meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(ConnectionDefinitionMetaData cdmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  connection definition elements

  Parameters:
    `cdmd` - the description meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(TransactionSupportMetaData tsmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  transaction support child elements

  Parameters:
    `tsmd` - the transaction support meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(TransactionSupportMetaData tsmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  transaction support elements

  Parameters:
    `tsmd` - the transaction support meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(AuthenticationMechanismMetaData ammd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  authentication mechanism child elements

  Parameters:
    `ammd` - the authentication mechanism meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(AuthenticationMechanismMetaData ammd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  authentication mechanism elements

  Parameters:
    `ammd` - the authentication mechanism meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(MessageListenerMetaData mlmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  message listener child elements

  Parameters:
    `mlmd` - the message listener meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(MessageListenerMetaData mlmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  message listener elements

  Parameters:
    `mlmd` - the description meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(AdminObjectMetaData aomd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  admin object child elements

  Parameters:
    `aomd` - the admin object meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(AdminObjectMetaData aomd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  admin object definition elements

  Parameters:
    `aomd` - the admin object meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(SecurityPermissionMetaData spmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  security permission child elements

  Parameters:
    `spmd` - the security permission meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(SecurityPermissionMetaData spmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  security permission elements

  Parameters:
    `spmd` - the security permission meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newChild

    public Object newChild(RequiredConfigPropertyMetaData rcpmd,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  required config property child elements

  Parameters:
    `rcpmd` - the config property meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `attrs` - the attributes

### setValue

    public void setValue(RequiredConfigPropertyMetaData rcpmd,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  required config property elements

  Parameters:
    `rcpmd` - the required config property meta data
    `navigator` - the content navigator
    `namespaceURI` - the namespace of the element
    `localName` - the local name of the element
    `value` - the value

### newRoot

    public Object newRoot(Object root,
                          org.jboss.xml.binding.ContentNavigator navigator,
                          String namespaceURI,
                          String localName,
                          Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xml.binding.ObjectModelFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.